Subject: Re: More precise tag following

From: Theodore Tso <[email-masked]>
Date: Mon, 29 Jan 2007 14:29:12 -0500

On Mon, Jan 29, 2007 at 08:24:52AM -0800, Linus Torvalds wrote:
> Anyway, all of these issues makes me suspect that the proper blame 
> interface is to basically *hide* the blame almost entirely, in order to 
> make the important parts much more visible, and in order to encourage 
> people to start looking for the piece of code that they are actually 
> interested in.

One approach which might work is where you hover your mouse over a
line, and it pops up a tiny window with the blame information if the
mouse remains stationary for more than a second or two.

Another thing which would be really useful is where the lines that
have been changed in the last n commits (where n is probably between
3-5) are highlighted using different colors.  That way you can see
what was changed recently, which is often what you are most interested
in.  (As in, what changed recently that might have caused this file to
get all screwed up?)

						- Ted